Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7484 - provided SMP kernal causing kernel panic on boot
Summary: provided SMP kernal causing kernel panic on boot
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lilo
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-01 17:07 UTC by robertd
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-04 22:36:07 UTC


Attachments (Terms of Use)

Description robertd 1999-12-01 17:07:28 UTC
I have successfully loaded Linux 6.1 on my Digital Prioris XK 5200 DP box.

The install did not recognise the SMP so I installed the SMP kernel as
shown in Knowledge Base Request 175.

Booting the SMP kernel causes an error:

Unable to handle kernel paging request at virtual address ffffd000
current->tss.cr3=00101000, %cr3=00101000
*pde=00285067
*pte=00000000
Oops:0002
.
.
.
Kernel Panic: Attempted to kill the idle task!
In Swapper task - not syncing

Comment 1 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 2 robertd 2000-01-04 22:36:59 UTC
Adding the qualifier noapic to the boot allows the system to boot.

Comment 3 Jeremy Katz 2002-06-04 04:58:06 UTC
This is a bad hardware/kernel interaction which gets correctly worked around
with the noapic parameter.


Note You need to log in before you can comment on or make changes to this bug.